************************************************************************
* FUNCTION EasyForm
********************
***    Author: Rick Strahl
***            (c) West Wind Technologies, 1996
***   Contact: (541) 386-2087  / rstrahl@west0wind.com
***  Modified: 11/04/96
***  Function: Simplified calling routine to display a container
***            as HTML. Simply create an object and pass the 
***            reference to this Function
***      Pass: loForm -  Reference to a visual container object
***    Return: nothing
************************************************************************
LPARAMETER loForm
LOCAL oForm

#INCLUDE WCONNECT.H

IF TYPE("loFOrm")#"O"
  wait window "Please pass a container object to this routine..."+CR+;
              "To check DO FORM GUEST then DO EASYFORM WITH GUEST..." nowait
  RETURN
ENDIF


#IF SHAREWARE
   IF ATC("WWUTILS",SET("PROCEDURE"))=0
      DO WCONNECT.APP
   ENDIF
#ELSE   
   SET PROCEDURE TO HTML ADDITIVE
   SET PROCEDURE TO wwUTILS ADDITIVE
#ENDIF   

SET PROCEDURE TO HTMLCTLS ADDITIVE
SET PROCEDURE TO HTMLFORM ADDITIVE

loHTML=CREATE("wwHTML","TEST.HTM")

*** Pass in Form and HTML object
oHTMLForm=CREATE("HTMLForm",loForm,loHTML)
oHTMLForm.lCenterTable=.T.
oHTMLForm.nTableBorder=1

oHTMLForm.lShowCompleteForm=.T.
oHTMLForm.cFormAction="/cgi-win/wwcgi.dll?wwDemo~VFP2HTMLForm"

*** Actually gen the HTML (into the loHTML object)
oHTMLForm.ShowContainer()

*** Flush the HTML ojbect to disk
RELEASE loHTML

*** Show the page
GoURL(CURDIR()+"TEST.HTM")
