************************************************************************
* WCONNECT Header File
**********************
***    Author: Rick Strahl
***            (c) West Wind Technologies, 1996
***   Contact: (541) 386-2087  / 76427.2363@compuserve.com
***  Modified: 08/09/96
***  Function: Global DEFINEs used by Web Connection.
***             
*** IMPORTANT: Any changes made here require a recompile of
***            all files that use this header file! I suggest
***            you build a project for this purpose and include
***            all files used for CGI processing purposes
************************************************************************

*** System Defines
#DEFINE WWVERSION "Version 1.91"
#DEFINE WWVERSIONDATE "October 17, 1996"

*** DEBUGMODE effects how errors are handled both by the example
*** programs (CGITEST and CGIMAIN) and by the wwCGIProcess class
*** When .T. errors are automatically handled: In the process code
*** the error method is called which creates an Error HTML document.
*** If the error occurs outside of an Error Method the global error
*** handler kicks in, displays an error document and reloads the 
*** CGIServer.
*** In general when you're debugging you'll want DEBUGMODE set to
*** .T., when implementing you want it .F.
#DEFINE DEBUGMODE .T.

*** Machine Type:   1  -  Local Machine
***                 2  -  Production/Online
***                 3  -  Notebook
#DEFINE LOCALSITE 1

*** Don't set to .F. if you're not registered or the example
*** code will not work. 
*** WebX version is not Shareware but fully functional
*** This flag must still remain set for the LIB files to
*** load properly.
#DEFINE SHAREWARE .F.     

#DEFINE SWTIMEOUT 1500    && Shareware Timeout 1800 secs - 1/2 hour
#DEFINE HTMLCLASSONLY .F.


#DEFINE SMTPMAIL_ENABLED .F.
*** #DEFINE SMTPMAIL_RETURN_RESULTCODE .F.

*** Seconds to wait before considering mail as sent
#DEFINE SMTPMAIL_TIMEOUT  5        

*** wwCGI Server DEFINES ***

*** Default File Polling Interval
#DEFINE TIMERINTERVAL 200
#DEFINE MAX_INI_BUFFERSIZE  512

*** Maximum String size for the HTMLString Class
#DEFINE MAX_STRINGSIZE  2500

*** Set this flag to .T. if you want the server window
*** to run as small desktop window. Works well
*** once everything is running properly.
#DEFINE SERVER_IN_DESKTOP .T.  AND ATC("FoxPro 05.",VERSION())

*** Registry roots 
#DEFINE HKEY_CLASSES_ROOT           -2147483648  && (( HKEY ) 0x80000000 )
#DEFINE HKEY_CURRENT_USER           -2147483647  && (( HKEY ) 0x80000001 )
#DEFINE HKEY_LOCAL_MACHINE          -2147483646  && (( HKEY ) 0x80000002 )
#DEFINE HKEY_USERS                  -2147483645  && (( HKEY ) 0x80000003 )

*** Success Flag
#DEFINE ERROR_SUCCESS               0

*** Registry Value types
#DEFINE REG_NONE					0    && Undefined Type (default)
#DEFINE REG_SZ						1	 && Regular Null Terminated String
#DEFINE REG_BINARY					3    && ??? (unimplemented) 
#DEFINE REG_DWORD					4    && Long Integer value
#DEFINE MULTI_SZ					7	 && Multiple Null Term Strings (not implemented)


*** HTML Class DEFINES ***
#DEFINE CR					CHR(13)+CHR(10)
#DEFINE MAX_TABLE_CELLS 	1500         && If greater use <PRE> formatted text  

*** User name used for admin functions - Put in UPPER CASE!!!
#DEFINE MAINTUSERNAME "JAVA"
#DEFINE MAINTPASSWORD "G28672"
